Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.adaptor
Class PersonalAnnos

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.std.adaptor.PersonalAnnos

public class PersonalAnnos
extends Behavior

Automatically save and restore annotations from Personal layer. Doesn't need to be page aware because Layer is.

Version:
  $Revision: 1.9 $ $Date: 2002/10/29 20:14:07 $

Field Summary

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Constructor Summary
`PersonalAnnos()`

Method Summary
`boolean` | `semanticEventAfter(SemanticEvent se, java.lang.String msg)` On `Document.MSG_CLOSE` save behaviors in layer to disk.
`boolean` | `semanticEventBefore(SemanticEvent se, java.lang.String msg)` `Document.MSG_OPENED` looks for and loads corresponding hub.

Methods inherited from class multivalent.Behavior
`buildAfter, buildBefore, checkRep, clipboardAfter, clipboardBefore, createUI, destroy, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, paintBefore, putPreference, redo, restore, restoreChildren, save, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PersonalAnnos

    public PersonalAnnos()

Method Detail

### semanticEventBefore

    public boolean semanticEventBefore(SemanticEvent se,
                                       java.lang.String msg)

  `Document.MSG_OPENED` looks for and loads corresponding hub.

  Overrides:
    `semanticEventBefore` in class `Behavior`

### semanticEventAfter

    public boolean semanticEventAfter(SemanticEvent se,
                                      java.lang.String msg)

  On `Document.MSG_CLOSE` save behaviors in layer to disk. In After in order to give everyone a chance to tidy up.

  Overrides:
    `semanticEventAfter` in class `Behavior`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD